# -*- mode: sh -*- ##############################################
# QwtPolar Widget Library
# Copyright (C) 2008   Uwe Rathmann
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the Qwt License, Version 1.0
#################################################################

# Copied and modified from qt_functions.prf

defineReplace(qwtPolarLibraryTarget) {

    unset(LIBRARY_NAME)

    greaterThan(QT_MAJOR_VERSION, 4) {
      LIBRARY_NAME = $${1}-qt$${QT_MAJOR_VERSION}
    } else {
       LIBRARY_NAME = $$1
    }

    mac:contains(QWT_POLAR_CONFIG, QwtPolarFramework) {

        QMAKE_FRAMEWORK_BUNDLE_NAME = $$LIBRARY_NAME
        export(QMAKE_FRAMEWORK_BUNDLE_NAME)
    }

    contains(TEMPLATE, .*lib):CONFIG(debug, debug|release) {

        !debug_and_release|build_pass {
            mac:RET = $$member(LIBRARY_NAME, 0)_debug
            win32-msvc*:RET = $$member(LIBRARY_NAME, 0)d
        }
    }

    isEmpty(RET):RET = $$LIBRARY_NAME
    return($$RET)
}

defineTest(qwtPolarAddLibrary) {

    greaterThan(QT_MAJOR_VERSION, 4) {
      LIB_NAME = $${1}-qt$${QT_MAJOR_VERSION}
    } else {
      LIB_NAME = $$1
    }

    unset(LINKAGE)

    mac:contains(QWT_POLAR_CONFIG, QwtPolarFramework) {

        LINKAGE = -framework $${LIB_NAME}$${QT_LIBINFIX}
    }

    isEmpty(LINKAGE) {

        if(!debug_and_release|build_pass):CONFIG(debug, debug|release) {

            mac:LINKAGE = -l$${LIB_NAME}$${QT_LIBINFIX}_debug
            win32-msvc*:LINKAGE = -l$${LIB_NAME}$${QT_LIBINFIX}d
        }
    }

    isEmpty(LINKAGE) {

        LINKAGE = -l$${LIB_NAME}$${QT_LIBINFIX}
    }

    !isEmpty(QMAKE_LSB) {

        QMAKE_LFLAGS *= --lsb-shared-libs=$${LIB_NAME}$${QT_LIBINFIX}
    }

    LIBS += $$LINKAGE
    export(LIBS)
    export(QMAKE_LFLAGS)

    return(true)
}
